#
# spec file for package gap-float
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-float
Version:        1.0.5
Release:        1.0.2.1.sr20250205
Summary:        GAP: Integration of mpfr, mpfi, mpc, fplll and cxsc in GAP
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/float/
#Git-Clone:	https://github.com/gap-packages/float
Source:         https://github.com/gap-packages/float/releases/download/v%version/float-%version.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gap-devel >= 4.11
BuildRequires:  gap-rpm-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  mpc-devel
BuildRequires:  mpfi-devel
BuildRequires:  mpfr-devel
BuildRequires:  pkgconfig(fplll) >= 5
Requires:       gap-core >= 4.11
Requires:       gap-gapdoc >= 1.0

%description
The Float package allows GAP to manipulate floating-point numbers
with arbitrary precision. It is based on MPFR, MPFI, MPC, CXSC,
FPLLL.

%prep
%autosetup -n float-%version -p1

%build
autoreconf -fi
%configure --with-gaproot="%gapdir" --without-cxsc
%make_build

%install
%gappkg_simple_install
pushd "%buildroot/$fmoddir/"
rm -Rf aclocal.m4 autom4* build-aux config.* configu* libtool* m4 src/
popd

%files -f %name.files

%changelog
* Fri Dec 13 2024 ming li <mli@suse.com>
- Update to release 1.0.5:
  * Remove use of deprecated set_unexpected
  * CI: fix 32bit builds
* Thu Feb  8 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.0.4
  * No changelog was provided
- Delete 0001-fplll-fix-namespace-issue.patch (merged)
* Sun Nov 27 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.0.3
  * No changelog was provided
- Add 0001-fplll-fix-namespace-issue.patch
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 0.9.1
  * No changelog was provided
- Remove fplll.diff, it looks like fplll5 is supported upstream now.
* Mon Dec 25 2017 jengelh@inai.de
- Add fplll.diff.
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 0.7.6
  * No changelog was provided
- Remove build-fixes.diff
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 0.7.5
  * libfplll 5.x support
- Add build-fixes.diff
* Sun Oct 16 2016 jengelh@inai.de
- Update to new upstream release 0.7.4
  * No changelog was provided again
- Drop incl.diff
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 0.7.3
  * No changelog was provided
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 0.6.2
  * Source cleanups
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 0.5.18
  * No changelog was provided
- Added incl.diff to resolve build failure
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 0.5.17
  * No changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 0.5.12
  * No changelog was provided
- Remove float-flags-order.diff, float-noversion.diff
  (merged upstream)
* Fri May 10 2013 jengelh@inai.de
- Initial package (version 0.5.9) for build.opensuse.org
